{
    "name": "laravel/laravel",
    "type": "project",
    "description": "The Laravel Framework.",
    "keywords": ["framework", "laravel"],
    "license": "MIT",
    "require": {
        "php": "^7.3|^7.4|^8.0",
        "alexpechkarev/google-maps": "^8.0",
        "alibabacloud/iot": "^1.8",
        "bensampo/laravel-enum": "^4.1",
        "dcat/easy-excel": "^1.0",
        "dcat/laravel-admin": "2.*",
        "dingo/api": "^v3.0.7",
        "fruitcake/laravel-cors": "^2.0",
        "guzzlehttp/guzzle": "^7.0.1",
        "iidestiny/laravel-filesystem-oss": "^2.1",
        "jormin/laravel-ddoc": "^1.1",
        "jpush/jpush": "^3.6",
        "laravel/framework": "^8.0",
        "laravel/sanctum": "^2.11",
        "laravel/tinker": "^2.5",
        "liyu/dingo-serializer-switch": "^0.3.2",
        "mavinoo/laravel-batch": "^2.3",
        "nesbot/carbon": "^2.52",
        "overtrue/easy-sms": "^1.3",
        "overtrue/laravel-lang": "^3.0",
        "overtrue/laravel-wechat": "^5.1",
        "prettus/l5-repository": "^2.7",
        "simplesoftwareio/simple-qrcode": "^4.2",
        "socialiteproviders/facebook": "^4.1",
        "socialiteproviders/weixin": "^4.1",
        "stomp-php/stomp-php": "^5.0",
        "tencent/tls-sig-api-v2": "1.0",
        "tencentcloud/tencentcloud-sdk-php": "^3.0",
        "tymon/jwt-auth": "^1.0"
    },
    "require-dev": {
        "facade/ignition": "^2.5",
        "fakerphp/faker": "^1.9.1",
        "laravel/sail": "^1.0.1",
        "mockery/mockery": "^1.4.2",
        "nunomaduro/collision": "^5.0",
        "phpunit/phpunit": "^9.3.3"
    },
    "autoload": {
        "psr-4": {
            "App\\": "app/",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeders/"
        },
        "files": [
            "app/Helper/function.php"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi"
        ],
        "post-update-cmd": [
            "@php artisan vendor:publish --tag=laravel-assets --ansi"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ]
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true
    },
    "minimum-stability": "dev",
    "prefer-stable": true
}
